#!/usr/bin/env kjscmd

// Create the UI
var mw = new KParts_MainWindow();
var ac = mw.actionCollection();

var split = new TQSplitter( mw );
mw.setCentralWidget( split );

var view = Factory.createROPart( "text/html", split, "html" );

view.openStream( 'text/html', 'file:///index.html' );
view.writeStream( '<html><body><h1>Inserting Data Directly</h1>This shows how ' );
view.writeStream( 'you can send data to a part directly from a script. </body></html>' );
view.closeStream();

//
// Activate XMLGUI and show the window
//
StdAction.quit( mw, 'close()', mw.actionCollection() );

mw.resize( 700, 500 );

mw.show();
application.exec();
